--- title: "getLoadBalancerInstanceList" slug: "networking-loadbalancing-getloadbalancerinstancelist" updated: 2026-09-17T10:12:30Z published: 2026-09-17T10:12:30Z canonical: "api.ncloud-docs.com/networking-loadbalancing-getloadbalancerinstancelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getLoadBalancerInstanceList Available in Classic Get the list of load balancer instances based on the conditions the user specifies. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /loadbalancer/v2/getLoadBalancerInstanceList | ### Request headers For information about the headers common to all Load Balancer APIs, see [Load Balancer request headers](/docs/en/networking-loadbalancing#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `loadBalancerInstanceNoList.N` | String | Optional | List of load balancer instance numbers - Example: loadBalancerInstanceNoList.1=123&loadBalancerInstanceNoList.2=345 | | `networkUsageTypeCode` | String | Optional | Load balancer network type - `PBLIP` \| `PRVT` - `PBLIP` (Public): Public IP - `PRVT` (Private): Private IP | | `regionNo` | String | Optional | Region number - `1` (default) - `1` (KR): Korea Region - See [getRegionList](/docs/en/compute-server-getregionlist). | | `zoneNo` | String | Optional | Zone numberSee [getZoneList](/docs/en/compute-server-getzonelist).Query by zone number when entering both Region and zone numbers. | | `pageNo` | Integer | Optional | Page number of the paged results - 0-2147483647 | | `pageSize` | Integer | Optional | Number of results to display on a page - 0-2147483647 | | `sortedBy` | String | Optional | Sort by - `loadBalancerInstanceNo` (default) \| `loadBalancerName` - `loadBalancerInstanceNo`: Load balancer number - `loadBalancerName`: Load balancer name | | `sortList.N.sortingOrder` | String | Optional | Sort order - `ascending` (default) \| `descending` - `ascending`: Ascending order - `descending`: Descending order | ### Request example The request example is as follows: ``` curl --location 'https://ncloud.apigw.ntruss.com/loadbalancer/v2/getLoadBalancerInstanceList?loadBalancerInstanceNoList.1=******' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [LoadBalancerInstance](/docs/en/common-apidatatype-loadbalancerinstance) for the response body. ### Response status codes For information about the HTTP status codes common to all Load Balancer APIs, see [Load Balancer response status codes](/docs/en/networking-loadbalancing#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` 352b6436-780d-4e6c-9ade-3828f213ba33 0 success 1 ******** ***.**.***.***,**.**.***.*** YOUR_LOAD_BALANCER RR Round Robin 2024-06-07T18:30:37+0900 ***.com used USED NET USED state NULL NET NULL OP PBLIP Public false 60 1 KR Korea 2 KR-1 KR-1 Gasan zone 1 3 KR-2 KR-2 Pyeongchon zone 1 HTTP http 80 80 / N N N ******** YOUR_SERVER 2 4294967296 53687091200 UBS64 Ubuntu Server 64 Bit YOUR_LOGIN_KEY false **.**.***.*** ubuntu-18.04 RUN Server run state NULL Server NULL OP running 2024-06-07T18:28:41+0900 2024-06-07T18:35:09+0900 SPSW0LINUX000130 SPSVRSSD00000003 false ***.***.***.*** 2 KR-1 KR-1 Gasan zone 1 1 KR Korea NET Network Storage SSD SSD STAND Standard ****** ncloud-default-acg Default AccessControlGroup true 2021-06-22T18:09:57+0900 HTTP http 80 80 / N false ```